Skip to main content
Get Course recommendations to improve the Skill Profile of an Employee
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/recommended_courses \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "score": 0.8,
      "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

employee_external_id
string<uuid>
required

Unique external ID linked to this Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

limit
integer
default:10

The maximal number of results returned.

Required range: 1 <= x <= 100
Example:

10

score_min_threshold
number<float>
default:0.5

The minimum score of the results. Due to approximations for fast result-delivery, there might be records with a score slightly lower than the minimum.

Required range: 0 <= x <= 1
Example:

0.7

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl
response_format
enum<string>
default:simple

The response format determines which additional data is returned along with the matches. Currently only supports the 'simple' format.

Available options:
simple
include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
custom_properties,
entity
Example:
["custom_properties", "entity"]

Response

OK

results
object[]
required

List of match results.